> For the complete documentation index, see [llms.txt](https://docs.novacura.com/flow-connect/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.novacura.com/flow-connect/reference/reference/flowscript/walkthrough.md).

# Walkthrough

- [Introduction](https://docs.novacura.com/flow-connect/reference/reference/flowscript/walkthrough/introduction.md)
- [Expressions and programs](https://docs.novacura.com/flow-connect/reference/reference/flowscript/walkthrough/expressions-and-programs.md)
- [Anatomy of a program](https://docs.novacura.com/flow-connect/reference/reference/flowscript/walkthrough/anatomy-of-a-program.md)
- [Variables](https://docs.novacura.com/flow-connect/reference/reference/flowscript/walkthrough/variables.md)
- [Simple types](https://docs.novacura.com/flow-connect/reference/reference/flowscript/walkthrough/simple-types.md)
- [Nullable types](https://docs.novacura.com/flow-connect/reference/reference/flowscript/walkthrough/nullable-types.md)
- [Records](https://docs.novacura.com/flow-connect/reference/reference/flowscript/walkthrough/records.md)
- [Sequences](https://docs.novacura.com/flow-connect/reference/reference/flowscript/walkthrough/sequences.md)
- [Other types](https://docs.novacura.com/flow-connect/reference/reference/flowscript/walkthrough/other-types.md)
- [Arithmetic](https://docs.novacura.com/flow-connect/reference/reference/flowscript/walkthrough/arithmetic.md)
- [Other expressions](https://docs.novacura.com/flow-connect/reference/reference/flowscript/walkthrough/other-expressions.md)
- [Queries](https://docs.novacura.com/flow-connect/reference/reference/flowscript/walkthrough/queries.md)
- [Conditionals and loops](https://docs.novacura.com/flow-connect/reference/reference/flowscript/walkthrough/conditionals-and-loops.md)
- [Function definitions](https://docs.novacura.com/flow-connect/reference/reference/flowscript/walkthrough/function-definitions.md)
- [Yielding](https://docs.novacura.com/flow-connect/reference/reference/flowscript/walkthrough/yielding.md)
- [Built-in functions](https://docs.novacura.com/flow-connect/reference/reference/flowscript/walkthrough/built-in-functions.md): This page describes the built-in functions of the Flow Connect platform. Note that additional functions are available in the built-in modules (described in subsequent chapters of this document).
- [Text module](https://docs.novacura.com/flow-connect/reference/reference/flowscript/walkthrough/text-module.md)
- [DateTime module](https://docs.novacura.com/flow-connect/reference/reference/flowscript/walkthrough/datetime-module.md)
- [Seq module](https://docs.novacura.com/flow-connect/reference/reference/flowscript/walkthrough/seq-module.md)
- [HTTP module](https://docs.novacura.com/flow-connect/reference/reference/flowscript/walkthrough/http-module.md)
- [CSV module](https://docs.novacura.com/flow-connect/reference/reference/flowscript/walkthrough/csv-module.md)
- [LocalStorage module](https://docs.novacura.com/flow-connect/reference/reference/flowscript/walkthrough/flowscript-local-storage-module.md)
- [JSON module](https://docs.novacura.com/flow-connect/reference/reference/flowscript/walkthrough/json-module.md)
- [Trace module](https://docs.novacura.com/flow-connect/reference/reference/flowscript/walkthrough/trace-module.md)
- [Record module](https://docs.novacura.com/flow-connect/reference/reference/flowscript/walkthrough/record-module.md)
- [XML Module](https://docs.novacura.com/flow-connect/reference/reference/flowscript/walkthrough/xml-module.md)
- [FileSystem Module](https://docs.novacura.com/flow-connect/reference/reference/flowscript/walkthrough/filesystem-module.md)
- [SFTP Module](https://docs.novacura.com/flow-connect/reference/reference/flowscript/walkthrough/sftp-module.md)
- [FTP Module](https://docs.novacura.com/flow-connect/reference/reference/flowscript/walkthrough/ftp-module.md)
- [NiceLabel Module](https://docs.novacura.com/flow-connect/reference/reference/flowscript/walkthrough/nicelabel-module.md)
- [InforM3 API module](https://docs.novacura.com/flow-connect/reference/reference/flowscript/walkthrough/inform3-api-module.md)
- [Crypto module](https://docs.novacura.com/flow-connect/reference/reference/flowscript/walkthrough/crypto-module.md)
- [Custom modules](https://docs.novacura.com/flow-connect/reference/reference/flowscript/walkthrough/custom-modules.md)
- [Custom Types](https://docs.novacura.com/flow-connect/reference/reference/flowscript/walkthrough/custom-types.md)
- [Appendix: Subtyping rules](https://docs.novacura.com/flow-connect/reference/reference/flowscript/walkthrough/appendix-subtyping-rules.md)
- [Appendix: Escape sequences](https://docs.novacura.com/flow-connect/reference/reference/flowscript/walkthrough/appendix-escape-sequences.md)
- [Appendix: Type checking errors](https://docs.novacura.com/flow-connect/reference/reference/flowscript/walkthrough/appendix-type-checking-errors.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.novacura.com/flow-connect/reference/reference/flowscript/walkthrough.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
